/****************************************
 *  COPYRIGHT (C) 2021
 *  Holger Graf
 ****************************************/
package datatransfer.json;

/**
 * @author graf
 *
 */
public class InfoBean {

    private String si;
    private int v;
    private UserBean user;
    private String type;
    private UniverseBean universe;
    private long ts;

    public InfoBean() {}

    public String getSi() {
        return si;
    }

    public void setSi( String si ) {
        this.si = si;
    }

    public int getV() {
        return v;
    }

    public void setV( int v ) {
        this.v = v;
    }

    public UserBean getUser() {
        return user;
    }

    public void setUser( UserBean user ) {
        this.user = user;
    }

    public long getTs() {
        return ts;
    }

    public void setTs( Object ts ) {
        this.ts = 0l;
        if(ts instanceof Number) {
            this.ts = ((Number)ts).longValue() * 1000l;
        }
    }

    public String getType() {
        return type;
    }

    public void setType( String type ) {
        this.type = type;
    }

    public UniverseBean getUniverse() {
        return universe;
    }

    public void setUniverse( UniverseBean universe ) {
        this.universe = universe;
    }

}
