/****************************************
 *  COPYRIGHT (C) 2021
 *  Holger Graf
 ****************************************/
package datatransfer;

/**
 * @author graf
 *
 */
public enum RequestType {
    battlereport("/battle-report"),
    galaxyOverview("/galaxy-overview"),
    failed("/failed"),
    init("/test"),
    ping("/ping"),
    planetOverview("/planet-overview"),
    spyreport("/spy-report"),
    ;

    private String endpoint;

    private RequestType(String endpoint) {
        this.endpoint = endpoint;
    }

    public String getEndpoint() {
        return endpoint;
    }
}
